Index: mail/courier/scripts/configure.courier
===================================================================
diff -u mail/courier/scripts/configure.courier.orig mail/courier/scripts/configure.courier
--- mail/courier/scripts/configure.courier.orig	Sun Jul 27 13:04:18 2003
+++ mail/courier/scripts/configure.courier	Sun Jul 27 13:03:21 2003
@@ -251,7 +251,12 @@
 			echo "BUILD_DEPENDS+=	procmail:\${PORTSDIR}/mail/procmail"
 			;;
 		\"SendFax\")
-			echo "BUILD_DEPENDS+=	gs:\${PORTSDIR}/print/ghostscript-gnu"
+			if [ "x${WITH_GHOSTSCRIPT_AFPL}" = "xyes" ]
+			then
+				echo "BUILD_DEPENDS+=	gs:\${PORTSDIR}/print/ghostscript-afpl"
+			else
+				echo "BUILD_DEPENDS+=	gs:\${PORTSDIR}/print/ghostscript-gnu"
+			fi
 			echo "BUILD_DEPENDS+=	pnmscale:\${PORTSDIR}/graphics/netpbm"
 			echo "BUILD_DEPENDS+=	giftopnm:\${PORTSDIR}/graphics/netpbm"
 			echo "BUILD_DEPENDS+=	jpegtopnm:\${PORTSDIR}/graphics/netpbm"
Index: mail/courier/Makefile
===================================================================
diff -u mail/courier/Makefile.orig mail/courier/Makefile
--- mail/courier/Makefile.orig	Sun Jul 27 13:04:32 2003
+++ mail/courier/Makefile	Sun Jul 27 13:14:42 2003
@@ -112,6 +112,7 @@
 		WITH_SENDFAX="${WITH_SENDFAX:L}" \
 		WITH_IPV6="${WITH_IPV6:L}" \
 		WITH_TRANSPORT="${WITH_TRANSPORT}" \
+		WITH_GHOSTSCRIPT_AFPL="${WITH_GHOSTSCRIPT_AFPL:no}" \
 		TOUCH="${TOUCH}" \
 		MKDIR="${MKDIR}"

@@ -124,6 +125,14 @@

 pre-everything::
 	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.${PORTNAME}
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
+.endif

 post-patch:
 	@${PERL} -pi -e 's:\@datadir\@:\@sysconfdir\@:g;' \
